AdminUsersList users

List users

curl -X GET "https://slugbase.app/api/admin/users" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT or sb_ API token)"
[
  {
    "id": "example_string",
    "email": "user@example.com",
    "name": "John Doe",
    "user_key": "example_string",
    "is_admin": true,
    "oidc_provider": "example_string",
    "language": "example_string",
    "theme": "example_string",
    "created_at": "example_string",
    "invite_pending": true,
    "invite_expires_at": "2024-12-25T10:00:00Z",
    "invite_expired": true
  }
]
GET
/api/admin/users
GET
Bearer Token (JWT or sb_ API token)
Bearer Tokenstring
Required

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT or sb_ API token). Use Authorization: Bearer \<token\>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Responses

idstring
emailstring
namestring
user_keystring
is_adminboolean
oidc_providerstring
languagestring
themestring
created_atstring
invite_pendingboolean
invite_expires_atstring
invite_expiredboolean